<section class="container animated fadeIn">
  <div class="row wall wall-sm mb">
    <div class="col"></div>
    <div class="col-md-auto">
      <button class="btn-outline w-100" routerLink="/panel/plans/add">{{ 'subscription.create.title' | translate }}</button>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12 pb">
      <div class="wall">
        <table class="table">
          <thead>
            <th>#</th>
            <th>{{ 'subscription.name_fa' | translate }}</th>
            <th>{{ 'subscription.duration' | translate }}</th>
            <th>{{ 'subscription.price' | translate }} ({{ 'rial' | translate }})</th>
            <th>{{ 'upload.list.publish' | translate }}</th>
            <th class="text-center">{{ 'operation.actions' | translate }}</th>
          </thead>
          <tbody>
            <tr *ngFor="let subscription of subscriptions; let index = index">
              <th>{{ index + 1 }}</th>
              <td>{{ subscription.subscription_name_fa }}</td>
              <td>{{ subscription.subscription_duration }}</td>
              <td>{{ subscription.subscription_price | number }}</td>
              <td>
                <label class="checkbox-select" for="publish{{subscription.id}}">
                  <input type="checkbox" id="publish{{subscription.id}}" (change)="publishSubscription($event,subscription.id)" [checked]='subscription.published'>
                  <span></span>
                </label>
              </td>
              <td class="text-center">
                <div class="icon icon-edit tools edit" (click)="passToEdit(subscription)" title="{{'subscription.create.edit' | translate}}"></div>
                <div class="icon icon-remove tools delete" (click)="deleteSubscription(subscription.id)"></div>
              </td>
            </tr>
          </tbody>
          <tfoot>
            <tr [hidden]="subscriptions.length">
              <td colspan="5" class="text-center">
                <b>{{ 'table.empty' | translate }}</b>
              </td>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>

  </div>
</section>
